## misc misc |

## Synopsis

                        OrcVariable;
                        OrcInstruction;
                        OrcRule;
                        OrcFixup;
    void                (*OrcRuleEmitFunc)                  (OrcCompiler *p,
                                                             void *user,
                                                             OrcInstruction *insn);
    #define             ORC_N_REGS
    #define             ORC_N_INSNS
    #define             ORC_N_VARIABLES
    #define             ORC_N_REGISTERS
    #define             ORC_N_FIXUPS
    #define             ORC_N_LABELS
    #define             ORC_GP_REG_BASE
    #define             ORC_VEC_REG_BASE
    #define             ORC_STRUCT_OFFSET                   (struct_type,
                                                             member)
    enum                OrcVarType;
    void                orc_powerpc_init                    (void);
    void                orc_arm_init                        (void);
    void                orc_c_init                          (void);
    int                 orc_parse                           (const char *code,
                                                             OrcProgram ***programs);
    #define             ARRAY_SIZE                          (x)
    #define             MAX                                 (a,
                                                             b)
    #define             MIN                                 (a,
                                                             b)
    char *              get_cpuinfo_line                    (char *cpuinfo,
                                                             const char *tag);
    char *              get_file                            (const char *file);
    int                 get_file_int                        (const char *file,
                                                             int *value);
    char *              get_tag_value                       (char *s,
                                                             const char *tag);
    char **             strsplit                            (const char *s,
                                                             char delimiter);

## Description

## Details

### OrcVariable

    typedef struct {
    } OrcVariable;

The OrcVariable structure has no public members

### OrcInstruction

    typedef struct {
    } OrcInstruction;

The OrcInstruction structure has no public members

### OrcRule

    typedef struct {
    } OrcRule;

The OrcRule structure has no public members

### OrcFixup

    typedef struct {
    } OrcFixup;

The OrcFixup structure has no public members

### OrcRuleEmitFunc ()

    void                (*OrcRuleEmitFunc)                  (OrcCompiler *p,
                                                             void *user,
                                                             OrcInstruction *insn);

`p` : |
`user` : |
`insn` : |

### ORC_N_REGS

    #define ORC_N_REGS (32*4)

### ORC_N_INSNS

    #define ORC_N_INSNS 100

### ORC_N_VARIABLES

    #define ORC_N_VARIABLES 64

### ORC_N_REGISTERS

    #define ORC_N_REGISTERS 20

### ORC_N_FIXUPS

    #define ORC_N_FIXUPS 100

### ORC_N_LABELS

    #define ORC_N_LABELS 40

### ORC_GP_REG_BASE

    #define ORC_GP_REG_BASE 32

### ORC_VEC_REG_BASE

    #define ORC_VEC_REG_BASE 64

### ORC_STRUCT_OFFSET()

    #define             ORC_STRUCT_OFFSET(struct_type, member)

`struct_type` : |
`member` : |

### enum OrcVarType

    typedef enum {
      ORC_VAR_TYPE_TEMP,
      ORC_VAR_TYPE_SRC,
      ORC_VAR_TYPE_DEST,
      ORC_VAR_TYPE_CONST,
      ORC_VAR_TYPE_PARAM,
      ORC_VAR_TYPE_ACCUMULATOR
    } OrcVarType;

### orc_powerpc_init ()

    void                orc_powerpc_init                    (void);

### orc_arm_init ()

    void                orc_arm_init                        (void);

### orc_c_init ()

    void                orc_c_init                          (void);

### orc_parse ()

    int                 orc_parse                           (const char *code,
                                                             OrcProgram ***programs);

`code` : |
`programs` : |
Returns : |

### ARRAY_SIZE()

    #define ARRAY_SIZE(x) (sizeof(x)/sizeof(x[0]))

`x` : |

### MAX()

    #define MAX(a,b) ((a)>(b) ? (a) : (b))

`a` : |
`b` : |

### MIN()

    #define MIN(a,b) ((a)<(b) ? (a) : (b))

`a` : |
`b` : |

### get_cpuinfo_line ()

    char *              get_cpuinfo_line                    (char *cpuinfo,
                                                             const char *tag);

`cpuinfo` : |
`tag` : |
Returns : |

### get_file ()

    char *              get_file                            (const char *file);

`file` : |
Returns : |

### get_file_int ()

    int                 get_file_int                        (const char *file,
                                                             int *value);

`file` : |
`value` : |
Returns : |

### get_tag_value ()

    char *              get_tag_value                       (char *s,
                                                             const char *tag);

`s` : |
`tag` : |
Returns : |

### strsplit ()

    char **             strsplit                            (const char *s,
                                                             char delimiter);

`s` : |
`delimiter` : |
Returns : |